Bug 1252109 - We package an unmaintained fork of shellinabox
We package an unmaintained fork of shellinabox
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: shellinabox (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Simone Caronni
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-10 14:23 EDT by Jason Tibbitts
Modified: 2016-01-07 12:53 EST (History)
1 user (show)

See Also:
Fixed In Version: shellinabox-2.18-1.el7 shellinabox-2.18-1.el6 shellinabox-2.18-1.fc23 shellinabox-2.18-1.fc22 shellinabox-2.18-1.fc21 shellinabox-2.19-1.el5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-01-07 12:53:17 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jason Tibbitts 2015-08-10 14:23:47 EDT
We package a fork of shellinabox from https://github.com/pythonanywhere/shellinabox_fork which hasn't been updated in nearly three years.

Meanwhile, https://github.com/shellinabox/shellinabox had a release three days ago.

I have not compared the features of each, but as this is security sensitive software I would think we'd want to package something which is actually maintained.

Alternatively I could just make a separate package of the other fork, but the naming would be kind of confusing.  I'll probably just do that anyway but I figured it's better if we could coordinate.
Comment 1 Jason Tibbitts 2015-08-10 16:04:31 EDT
I opened the following ticket upstream to ask about compatibility and possibly pass the one patch Fedora carries up to them:
  https://github.com/shellinabox/shellinabox/issues/334

I have a cleaned-up spec with which I'm experimenting but you may not want it as I don't maintain my specs for any ancient EPEL releases.
Comment 2 Simone Caronni 2015-08-11 10:18:32 EDT
Actually I swapped to the other fork because the original one was not maintained.

I can swap back, will look at it (I'm currently travelling) and hour spec file.

Thanks for notifying.
Comment 3 Jason Tibbitts 2015-08-11 23:13:13 EDT
Well, what we have here is yet another fork; the original upstream appears to be completely dead.  But they've worked to pull in everything from the fork that's currently packaged in Fedora, as well as other patches they've found.  They're also willing to take the one patch Fedora is carrying.
Comment 4 Simone Caronni 2015-08-26 12:57:05 EDT
In progress:

https://github.com/shellinabox/shellinabox/issues/334
Comment 5 Fedora Update System 2015-08-31 08:08:38 EDT
shellinabox-2.17-3.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-7865
Comment 6 Fedora Update System 2015-08-31 08:08:48 EDT
shellinabox-2.17-3.el5 has been submitted as an update to Fedora EPEL 5. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-7866
Comment 7 Fedora Update System 2015-08-31 08:08:57 EDT
shellinabox-2.17-3.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-7867
Comment 8 Fedora Update System 2015-09-01 10:36:33 EDT
shellinabox-2.18-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-14775
Comment 9 Fedora Update System 2015-09-01 10:36:44 EDT
shellinabox-2.18-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-14776
Comment 10 Fedora Update System 2015-09-01 10:36:55 EDT
shellinabox-2.18-1.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-7883
Comment 11 Fedora Update System 2015-09-01 10:37:06 EDT
shellinabox-2.18-1.el5 has been submitted as an update to Fedora EPEL 5. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-7884
Comment 12 Fedora Update System 2015-09-01 10:37:19 EDT
shellinabox-2.18-1.fc21 has been submitted as an update to Fedora 21. https://bodhi.fedoraproject.org/updates/FEDORA-2015-14777
Comment 13 Fedora Update System 2015-09-01 10:37:34 EDT
shellinabox-2.18-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-7885
Comment 14 Fedora Update System 2015-09-01 10:38:03 EDT
shellinabox-2.18-1.el5 has been submitted as an update to Fedora EPEL 5. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-7886
Comment 15 Fedora Update System 2015-09-01 15:49:22 EDT
shellinabox-2.18-1.fc21 has been pushed to the Fedora 21 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update shellinabox'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-14777
Comment 16 Fedora Update System 2015-09-01 16:22:13 EDT
shellinabox-2.18-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update shellinabox'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-14775
Comment 17 Fedora Update System 2015-09-01 23:48:13 EDT
shellinabox-2.18-1.el5 has been pushed to the Fedora EPEL 5 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update shellinabox'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-7886
Comment 18 Fedora Update System 2015-09-01 23:48:14 EDT
shellinabox-2.18-1.el5 has been pushed to the Fedora EPEL 5 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update shellinabox'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-7886
Comment 19 Fedora Update System 2015-09-02 04:47:26 EDT
shellinabox-2.18-1.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update shellinabox'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-7883
Comment 20 Fedora Update System 2015-09-02 04:49:05 EDT
shellinabox-2.18-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update shellinabox'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-7885
Comment 21 Fedora Update System 2015-09-02 12:21:25 EDT
shellinabox-2.18-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update shellinabox'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-14776
Comment 22 Fedora Update System 2015-10-02 18:25:19 EDT
shellinabox-2.18-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.
Comment 23 Fedora Update System 2015-10-02 19:23:28 EDT
shellinabox-2.18-1.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.
Comment 24 Fedora Update System 2015-10-03 13:59:58 EDT
shellinabox-2.18-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 25 Fedora Update System 2015-10-03 17:18:27 EDT
shellinabox-2.18-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.
Comment 26 Fedora Update System 2015-10-03 17:53:32 EDT
shellinabox-2.18-1.fc21 has been pushed to the Fedora 21 stable repository. If problems still persist, please make note of it in this bug report.
Comment 27 Fedora Update System 2015-12-11 05:51:49 EST
shellinabox-2.19-1.el5 has been submitted as an update to Fedora EPEL 5. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-481f9cfb21
Comment 28 Fedora Update System 2015-12-12 15:18:14 EST
shellinabox-2.19-1.el5 has been pushed to the Fedora EPEL 5 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'yum --enablerepo=epel-testing update shellinabox'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-481f9cfb21
Comment 29 Fedora Update System 2016-01-07 12:53:02 EST
shellinabox-2.19-1.el5 has been pushed to the Fedora EPEL 5 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.